## Class TSystemException

Description

TSystemException class

TSystemException is the base class for all framework-level exceptions.

- since: 3.0
- version: $Id: TException.php 2247 2007-09-26 16:05:56Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Exceptions/TException.php (line 134)

    Exception
       |
       --TException
          |
          --TSystemException

Direct descendents

Class | Description
--- | ---
TInvalidOperationException | TInvalidOperationException class
TInvalidDataTypeException | TInvalidDataTypeException class
TInvalidDataValueException | TInvalidDataValueException class
TConfigurationException | TConfigurationException class
TIOException | TIOException class
TDbException | TDbException class
TNotSupportedException | TNotSupportedException class
TPhpErrorException | TPhpErrorException class
THttpException | THttpException class

Methods

#### Inherited Methods

Inherited From TException

> TException::__construct()
> TException::getErrorCode()
> TException::getErrorMessage()
> TException::getErrorMessageFile()
> TException::setErrorCode()
> TException::setErrorMessage()
> TException::translateErrorMessage()

Documentation generated on Mon, 21 Apr 2008 11:35:01 -0400 by phpDocumentor 1.3.0RC4